Status: Closed Priority: Should have
Author: Sebastian Kurfuerst Category:
Created: 2012-08-09 Assigned To: Robert Lemke
Subject: TypoScript objects should be renamed
Description

the current TypoScript object names are much too cumbersome to work with; and are not intuitive at all.

We should rename them to something short and easy to use.

Example:

FluidRenderer -> Fluid (or FluidTemplate)
TypoScriptArrayRenderer -> Array
CollectionRenderer -> Collection
Case -> Case

Associated revisions
Revision 3ea04382 - 2012-09-18 12:09 - Robert Lemke

[!!!][TASK] Simplify and streamline TypoScript object names

This patch renames all TypoScript object implementations (previously
called "Renderers") to FooImplementation and their TypoScript prototypes
to just Foo. That way, only a short, catchy name needs to be used in
TypoScript templates.

The TypoScript prototypes have been renamed as follows:

TypoScriptArrayRenderer -> Array
CollectionRenderer -> Collection
FluidRenderer -> Template

The PHP class names of the TypoScript object implementations have been
renamed as follows:

AbstractTsObject -> AbstractTypoScriptObject
TypoScriptArrayRenderer -> ArrayImplementation
CaseTsObject -> CaseImplementation
CollectionRenderer -> CollectionImplementation
Matcher -> MatcherImplementation
FluidRenderer -> TemplateImplementation

Unless you have used the actual PHP class names in your own TypoScript
prototype definitions, you only need to adjust your TypoScript code to
use the new TypoScript object names (first list).
Change-Id: Ib7920173e1c5a9f210547512a0c150b72d3899f6
Resolves: #39657

History
#1 - 2012-09-14 17:09 - Robert Lemke
- Tracker changed from Bug to Task

#2 - 2012-09-18 08:52 - Robert Lemke
- Assigned To set to Robert Lemke
- Target version set to Sprint 10 (1.0 TP1)
- Parent task set to #40934

#3 - 2012-09-18 08:53 - Robert Lemke
- Status changed from New to Accepted

#4 - 2012-09-18 10:42 - Robert Lemke
- Status changed from Accepted to Resolved
- Estimated time set to 0.00
- Remaining (hours) set to 0.0

#5 - 2012-09-18 10:47 - Robert Lemke
- Status changed from Resolved to Accepted

#6 - 2012-09-18 12:15 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14690

#7 - 2012-09-18 12:31 - Robert Lemke
- Status changed from Accepted to Under Review

#8 - 2012-09-18 14:03 - Robert Lemke
- Status changed from Under Review to Resolved

#9 - 2012-10-04 11:39 - Markus Goldbeck
- Status changed from Resolved to Closed
